OGRE-Next: Ogre::LightClosest Struct Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::LightClosest Struct Reference
Core » General

Used as the light list, sorted. More...

`#include <OgreCommon.h>`

## Public Member Functions
| LightClosest ()
| LightClosest (Light *_light, size_t _globalIndex, Real _distance)
bool | operator< (const LightClosest &right) const

## Public Attributes
Real | distance
size_t | globalIndex
| Index to SceneManager::mGlobalLightList.
bool | isDirty
bool | isStatic
Light * | light

## Detailed Description

Used as the light list, sorted.

## Constructor & Destructor Documentation

## ◆ LightClosest() [1/2]

Ogre::LightClosest::LightClosest | ( |  | ) |
| inline

References distance, globalIndex, isDirty, isStatic, and light.

Referenced by operator<().

## ◆ LightClosest() [2/2]

Ogre::LightClosest::LightClosest | ( | Light * | _light,
|  | size_t | _globalIndex,
|  | Real | _distance )
| inline

References distance, globalIndex, isDirty, isStatic, and light.

## Member Function Documentation

## ◆ operator<()

bool Ogre::LightClosest::operator< | ( | const LightClosest & | right | ) | const
| inline

References LightClosest(), and distance.

## Member Data Documentation

## ◆ distance

Real Ogre::LightClosest::distance

Referenced by LightClosest(), LightClosest(), and operator<().

## ◆ globalIndex

size_t Ogre::LightClosest::globalIndex

Index to SceneManager::mGlobalLightList.

globalIndex may be == SceneManager::mGlobalLightList.size() if it holds a static light (see CompositorShadowNode::setLightFixedToShadowMap) that is not currently in camera.

Referenced by LightClosest(), and LightClosest().

## ◆ isDirty

bool Ogre::LightClosest::isDirty

Referenced by LightClosest(), and LightClosest().

## ◆ isStatic

bool Ogre::LightClosest::isStatic

Referenced by LightClosest(), and LightClosest().

## ◆ light

Light* Ogre::LightClosest::light

Referenced by LightClosest(), and LightClosest().

The documentation for this struct was generated from the following file:

- OgreCommon.h